### Gitlab CI variables

variable "SCW_PROJECT_ID" {
  type        = string
  sensitive   = true
  description = "Project ID from a scaleway project"
}

variable "SCW_ACCESS_KEY" {
  type      = string
  sensitive = true
  description = "Scaleway access key"
}

variable "SCW_SECRET_KEY" {
  type      = string
  sensitive = true
  description = "Scaleway secret key"
}

variable "SCW_SSH_PUB_KEY" {
  type        = string
  sensitive   = true
  description = "SSH public key from Gitlab agent installed on scaleway"
}

variable "SCW_SSH_PRIVATE_KEY" {
  type        = string
  sensitive   = true
  description = "SSH private key from Gitlab agent for remote-exec"
}

variable "USER_PASSWORD" {
  type        = string
  sensitive   = false
  description = "User password for accessing services"
}

variable "INSTANCES_COUNT" {
  type        = number
  description = "Number of instances to create"
}

variable "ENVIRONMENT" {
  type        = string
  description = "The type of lab to create, ex: devrust, pentest..."
}
